function mat_date = vintage2date(cell_vintage)
% VINTAGE2DATE Transform vintage string to date

% Define useful function handle
f_vintage  = @(s) datetime(str2double(s(2:5)), 3*str2double(s(7)), 1)+calmonths(str2double(s(9)));

if (ischar(cell_vintage) || isstring(cell_vintage))
    % Apply conversion to string
    mat_date = f_vintage(cell_vintage);
else
    % Apply conversion to cell of strings
    size_vintage = size(cell_vintage);
    cell_vintage = cell_vintage(:);
    mat_date     = NaT(length(cell_vintage), 1);
    for j = 1:length(cell_vintage)
        if ~isempty(cell_vintage{j})
            mat_date(j) = f_vintage(cell_vintage{j});
        end
    end
    mat_date = reshape(mat_date, size_vintage);
end

end